<?php defined('SYSPATH') or die('No direct access allowed.');

/**
 * phpTSMadmin Main home page
 *
 * @package    PTA
 * @subpackage Page/Home
 * @category   Controllers
 * @author     Deon George
 * @copyright  (c) 2010 phpTSMadmin Development Team
 * @license    http://phptsmadmin.sf.net/license.html
 */
class Controller_Welcome extends Controller_TemplateDefault {
	protected $auth_required = FALSE;

	public function action_index() {
		if (! Kohana::$config->load('config')->client)
			HTTP::redirect('guide/app');

		if (! Auth::instance()->logged_in())
			HTTP::redirect('login');

		Block::add(array(
			'title'=>sprintf('%s: %s (%s)',_('Server'),TSM::name(),TSM::version()),
			'body'=>'hello, world!',
		));
	}
}
?>
